RIVET-BUILDPLUGIN(1)

NAME
rivet-buildplugin - compilation helper for Rivet analysis plugins

SYNOPSIS
rivet-buildplugin [<libname>] <source1> [<source2> [compiler_flags] ...]

DESCRIPTION

<libname> can be a path, provided the filename is of the form 'Rivet*.so' If <libname> is not specified, the default name is 'RivetAnalysis.so'.

To make special build variations you can add appropriate compiler flags to the arguments and these will be passed directly to the compiler. For example, for a debug build of your plugin library, add '-g', and for a 32 bit build on a 64 bit system add '-m32'.

OPTIONS

-h | --help: display this help message

--with-root: add ROOT link options (requires root-config on system)

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).